%define src_ver 0.1
%define languagelocal italiano
%define languageeng italian
%define languageenglazy Italian
%define languagecode it
%define lc_ctype it_IT
%define isonumber iso8859-1

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.1
Release:       1mdk
Group:         System/Internationalization
Source:        %{name}-%{src_ver}.tar.bz2
URL:           none
Copyright:     GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff. is this right:
#Obsoletes: ispell-it, ispell-italian

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -n %{name}-%{src_ver}

%build
cp %{_datadir}/aspell/%{isonumber}.dat .

mv -f words.%{languageeng} words.%{languagelocal}
mv -f %{languageeng}.dat %{languagelocal}.dat

echo 'name %{languagelocal}' > %{languagelocal}.dat
echo 'charset %{isonumber}' >> %{languagelocal}.dat

if ls %{languageeng}_phonet.dat ; then
 echo 'soundslike %{languagelocal}' >> %{languagelocal}.dat
 mv -f %{languageeng}_phonet.dat %{languagelocal}_phonet.dat
fi

LC_CTYPE=%{lc_ctype} aspell --lang=%{languagelocal} --data-dir=. \
    create master ./%{languagelocal} < words.%{languagelocal}

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell

install -m 0644 %{languagelocal} $RPM_BUILD_ROOT%{_libdir}/aspell
install -m 0644 %{languagelocal}.dat $RPM_BUILD_ROOT%{_datadir}/aspell

if ls %{languagelocal}_phonet.dat ; then
 install -m 0644 %{languagelocal}_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell
fi

echo "%{_libdir}/aspell/%{languagelocal}" > $RPM_BUILD_ROOT%{_datadir}/pspell/%{languagecode}-aspell.pwli

if [ "%{languagelocal}" != "%{languageeng}" ];then

 cd $RPM_BUILD_ROOT%{_libdir}/aspell
 ln -s %{languagelocal} %{languageeng}
 
 cd $RPM_BUILD_ROOT%{_datadir}/aspell
 ln -s %{languagelocal}.dat %{languageeng}.dat
 
 if ls %{languagelocal}_phonet.dat ; then
  ln -s %{languagelocal}_phonet.dat %{languageeng}_phonet.dat
 fi

fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-4
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use the proper name on the pwli file

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM

